Flux-Kontext-Max - Image Edit - gptproto
Flux-Kontext-Max — Image Edit (gptproto). GPTProto API reference.
POST
/
v1
/
images
/
generations
flux-kontext-max (image edit)
curl --request POST \
--url https://api.example.com/v1/images/generationsimport requests
url = "https://api.example.com/v1/images/generations"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Flux’s GPTProto format for the image edit API.
curl -X POST "https://gptproto.com/v1/images/generations" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "cat with a red hat https://xxx.png",
"model": "flux-kontext-max",
"size": "16:9",
"n": 1
}'
import requests
import json
url = "https://gptproto.com/v1/images/generations"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"prompt": "cat with a red hat https://xxx.png",
"model": "flux-kontext-max",
"size": "16:9",
"n": 1
}
response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/v1/images/generations";
const headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
};
const data = {
"prompt": "cat with a red hat https://xxx.png",
"model": "flux-kontext-max",
"size": "16:9",
"n": 1
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/v1/images/generations"
payload := []byte(`{
"prompt": "cat with a red hat https://xxx.png",
"model": "flux-kontext-max",
"size": "16:9",
"n": 1
}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("Authorization", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
prompt | string | ✅ Yes | cat with a red hat https://xxx.png | Prompt parameter |
model | string | ✅ Yes | flux-kontext-max | The model to use for the request |
size | string | ❌ No | 16:9 | Size parameter |
n | integer | ❌ No | 1 | Number of completions to generate |
⌘I

